fn main() {
    // ANCHOR: here
    let num = Some(4);

    match num {
        Some(x) if x % 2 == 0 => println!("Liczba {} jest parzysta", x),
        Some(x) => println!("Liczba {} jest nieparzysta", x),
        None => (),
    }
    // ANCHOR_END: here
}
